from typing import Any, Dict


def _get_all_kwargs(self, **kwargs: Any) -> Dict[str, Any]:
    out = {
        **self._model_kwargs,
        **kwargs,
    }
    if out.get("tools"):
        out["tool_choice"] = {"type": "any"}
    return out
